/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\quests\kill quests\Newbie Quests\Ghoulish Visitors\conversations.cs
Lines of code: 57
***********************************************************/


using System;
using Server;

namespace Server.Engines.Quests.GhoulishVisitorsKillQuest
{
	public class DontOfferConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Ah, I see you're busy with another quest. When you finish it, come find me.";
			}
		}

		public override bool Logged{ get{ return false; } }

		public DontOfferConversation()
		{
		}
	}

	public class AcceptConversation : QuestConversation
	{
	
		public override object Message
		{
			get
			{				
				return "Oh? You will? Excellent!! If you go Northeast of here you'll find them. They have a blueish shroud around them. They shouldn't pose too much of a problem but bring some bandages and lesser heal potions just in case.<br>Once you've killed them, come back and see me to get your reward";
			}
		}

		public AcceptConversation()
		{
		}

		public override void OnRead()
		{
			KillObjective ko = new KillObjective();
			
			QuestKillEntry entry1 = new QuestKillEntry("SpectralSpellbinder","Spectral Spellbinder", 5);
			
			ko.AddQKE(entry1);
			System.AddObjective( ko );
			
			System.ShowQuestLogUpdated();
		}
	}

	
	
	public class EndConversation : QuestConversation
	{
		public override object Message
		{
			get
			{
				return "Thanks a lot! Now I can finally calm down my horses. Here, take this bag of treasure as a reward.";
			}
		}

		public EndConversation()
		{
		}

		public override void OnRead()
		{
			GhoulishVisitorsKillQuest.GiveRewardTo( System.From );
		}
	}		
	
	
}